Summary:        QtXdg, a Qt5 implementation of XDG standards
Name:           libqtxdg
Version:        3.11.0
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://lxqt-project.org
Source0:        https://github.com/lxqt/libqtxdg/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++, cmake
BuildRequires:  pkgconfig(Qt5Widgets), pkgconfig(Qt5Xml), pkgconfig(Qt5Help), pkgconfig(Qt5Svg), qt5-qtbase-private-devel
BuildRequires:  pkgconfig(glib-2.0), pkgconfig(gio-unix-2.0), file-devel, lxqt-build-tools
Requires:       xdg-user-dirs
Requires:       xdg-utils

%description
%{summary}.

%package devel
Summary:        Qt - development files for qtxdg
Requires:       %{name} = %{version}-%{release}

%description devel
Files used for developing and building software that uses qtxdg.


%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=NO
%cmake_build

%install
%cmake_install


%files
%license COPYING
%doc AUTHORS
%{_libdir}/libQt5Xdg.so.3
%{_libdir}/libQt5Xdg.so.3.11.0
%{_libdir}/libQt5XdgIconLoader.so.3
%{_libdir}/libQt5XdgIconLoader.so.3.11.0
%{_sysconfdir}/xdg/lxqt-qtxdg.conf
%{_sysconfdir}/xdg/qtxdg.conf

%files devel
%{_libdir}/libQt5Xdg.so
%{_libdir}/libQt5XdgIconLoader.so
%{_libdir}/pkgconfig/Qt5Xdg.pc
%{_libdir}/pkgconfig/Qt5XdgIconLoader.pc
%{_includedir}/qt5xdg/
%{_includedir}/qt5xdgiconloader/
%{_datadir}/cmake/qt5xdg/
%{_datadir}/cmake/qt5xdgiconloader/
%{_qt5_archdatadir}/plugins/iconengines/libQt5XdgIconPlugin.so

%changelog
* Thu Dec 28 2023 Chair <chairou@tencent.com> - 3.11.0-1
- Init
